# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-09-25 07:47
from __future__ import unicode_literals

import courses.models
from django.db import migrations, models
import django.db.models.deletion
import shortuuidfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CourseInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='\u72b6\u6001', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at')),
                ('course_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='\u8bfe\u7a0b\u552f\u4e00\u6807\u8bc6', max_length=22, unique=True)),
                ('course_name', models.CharField(blank=True, help_text='\u8bfe\u7a0b\u6807\u9898', max_length=255, null=True, verbose_name='course_name')),
                ('course_time', models.IntegerField(default=0, help_text='\u8bfe\u7a0b\u65f6\u95f4', verbose_name='course_time')),
                ('course_cover', models.ImageField(blank=True, help_text='\u8bfe\u7a0b\u89c6\u9891\u7f29\u7565\u56fe', null=True, upload_to=courses.models.upload_path, verbose_name='course_cover')),
            ],
            options={
                'verbose_name': 'courseinfo',
                'verbose_name_plural': 'courseinfo',
            },
        ),
        migrations.CreateModel(
            name='CourseVideoInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='\u72b6\u6001', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at')),
                ('course_video_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='\u8bfe\u7a0b\u89c6\u9891\u552f\u4e00\u6807\u8bc6', max_length=22, unique=True)),
                ('course_video_type', models.CharField(blank=True, help_text='\u8bfe\u7a0b\u89c6\u9891\u7c7b\u578b', max_length=255, null=True, verbose_name='course_video_type')),
                ('course_video_name', models.CharField(blank=True, help_text='\u8bfe\u7a0b\u89c6\u9891\u6807\u9898', max_length=255, null=True, verbose_name='course_video_name')),
                ('course_video_desc', models.TextField(blank=True, help_text='\u8bfe\u7a0b\u89c6\u9891\u63cf\u8ff0', null=True, verbose_name='course_video_desc')),
                ('course_video_time', models.IntegerField(default=0, help_text='\u8bfe\u7a0b\u89c6\u9891\u65f6\u95f4', verbose_name='course_video_time')),
                ('course_video_cover', models.ImageField(blank=True, help_text='\u8bfe\u7a0b\u89c6\u9891\u7f29\u7565\u56fe', null=True, upload_to=courses.models.upload_path, verbose_name='course_video_cover')),
                ('course_video_position', models.IntegerField(default=0, help_text='\u8bfe\u7a0b\u89c6\u9891\u6392\u5e8f', verbose_name='course_video_position')),
                ('course', models.ForeignKey(blank=True, help_text='\u8bfe\u7a0b', null=True, on_delete=django.db.models.deletion.CASCADE, to='courses.CourseInfo', verbose_name='course')),
            ],
            options={
                'verbose_name': 'coursevideoinfo',
                'verbose_name_plural': 'coursevideoinfo',
            },
        ),
    ]
